Bug 1194735 - (CVE-2021-45417) VUL-0: CVE-2021-45417: aide: heap-based buffer overflow vulnerability in base64 functions
(CVE-2021-45417)
VUL-0: CVE-2021-45417: aide: heap-based buffer overflow vulnerability in base...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Marcus Meissner
Security Team bot
https://smash.suse.de/issue/320769/
CVSSv3.1:SUSE:CVE-2021-45417:7.0:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-01-17 09:06 UTC by Robert Frohl
Modified: 2022-05-27 10:18 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 5 Marcus Meissner 2022-01-20 16:07:30 UTC
http://www.ipi.fi/pipermail/aide/2022-January/001714.html

AIDE version 0.17.4 has just been released.

You can download it from https://github.com/aide/aide/releases

Please ALWAYS verify the signature of a release file before using it (see
README[0] for details).

The most noteworthy changes between v0.17.3 and v0.17.4 are:
    * SECURITY FIX
        - Precalculate buffer size in base64 functions (CVE-2021-45417)

Thanks to David Bouman for reporting this issue (see [1] for details
about this issue).

The home URL of AIDE is http://aide.github.io

Best regards

Hannes
Comment 6 Swamp Workflow Management 2022-01-20 20:23:28 UTC
SUSE-SU-2022:0145-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1194735
CVE References: CVE-2021-45417
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    aide-0.16-20.15.1
SUSE OpenStack Cloud Crowbar 8 (src):    aide-0.16-20.15.1
SUSE OpenStack Cloud 9 (src):    aide-0.16-20.15.1
SUSE OpenStack Cloud 8 (src):    aide-0.16-20.15.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    aide-0.16-20.15.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    aide-0.16-20.15.1
SUSE Linux Enterprise Server 12-SP5 (src):    aide-0.16-20.15.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    aide-0.16-20.15.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    aide-0.16-20.15.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    aide-0.16-20.15.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    aide-0.16-20.15.1
HPE Helion Openstack 8 (src):    aide-0.16-20.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2022-01-21 14:19:35 UTC
SUSE-SU-2022:0150-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1194735
CVE References: CVE-2021-45417
JIRA References: 
Sources used:
SUSE MicroOS 5.1 (src):    aide-0.16-24.1
SUSE Manager Server 4.1 (src):    aide-0.16-24.1
SUSE Manager Retail Branch Server 4.1 (src):    aide-0.16-24.1
SUSE Manager Proxy 4.1 (src):    aide-0.16-24.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    aide-0.16-24.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    aide-0.16-24.1
SUSE Linux Enterprise Server for SAP 15 (src):    aide-0.16-24.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    aide-0.16-24.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    aide-0.16-24.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    aide-0.16-24.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    aide-0.16-24.1
SUSE Linux Enterprise Server 15-LTSS (src):    aide-0.16-24.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    aide-0.16-24.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    aide-0.16-24.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    aide-0.16-24.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    aide-0.16-24.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    aide-0.16-24.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    aide-0.16-24.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    aide-0.16-24.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    aide-0.16-24.1
SUSE Enterprise Storage 7 (src):    aide-0.16-24.1
SUSE Enterprise Storage 6 (src):    aide-0.16-24.1
SUSE CaaS Platform 4.0 (src):    aide-0.16-24.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2022-01-21 14:20:47 UTC
openSUSE-SU-2022:0150-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1194735
CVE References: CVE-2021-45417
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    aide-0.16-24.1
Comment 9 Swamp Workflow Management 2022-01-25 17:19:35 UTC
SUSE-SU-2022:14879-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1194735
CVE References: CVE-2021-45417
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    aide-0.13.1-40.16.6.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    aide-0.13.1-40.16.6.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    aide-0.13.1-40.16.6.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    aide-0.13.1-40.16.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2022-02-17 23:16:58 UTC
SUSE-SU-2022:0150-2: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1194735
CVE References: CVE-2021-45417
JIRA References: 
Sources used:
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    aide-0.16-24.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2022-02-17 23:18:51 UTC
openSUSE-SU-2022:0150-2: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1194735
CVE References: CVE-2021-45417
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    aide-0.16-24.1
Comment 12 Marcus Meissner 2022-03-29 11:23:24 UTC
done
Comment 13 OBSbugzilla Bot 2022-03-29 12:00:04 UTC
This is an autogenerated message for OBS integration:
This bug (1194735) was mentioned in
https://build.opensuse.org/request/show/965618 Factory / aide
Comment 14 Swamp Workflow Management 2022-05-27 10:18:49 UTC
openSUSE-SU-2022:0150-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1194735
CVE References: CVE-2021-45417
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    aide-0.16-24.1, seamonkey-2.53.12-lp153.17.8.2